Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - corebird

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: corebird 1.4.2-2

Git Clone URL: https://aur-dev.archlinux.org/corebird.git (read-only)
Package Base: corebird
Description: Native Gtk+ Twitter Client
Upstream URL: https://corebird.baedert.org/
Licenses: GPL
Conflicts: corebird-git
Submitter: r3pek
Maintainer: r3pek
Last Packager: r3pek
Votes: 110
Popularity: 8.782162
First Submitted: 2014-09-11 19:05
Last Updated: 2017-01-28 17:56

Pinned Comments

r3pek commented on 2017-01-08 15:30

Users having problems compiling corebird after the harfbuzz 1.4.1 update (like @7etc), please remove infinality-bundle libs from your system (I had them, but just figured out they were outdated). You can read everything in here: https://gist.github.com/cryzed/e002e7057435f02cc7894b9e748c5671

Latest Comments

1 2 3 Next › Last »

Alain2 commented on 2019-04-14 13:56

Errors during build:

MainWindow.vala:438.40-438.75: error: Assignment: Cannot convert from GLib.List<Gtk.Window>' toGLib.List<weak Gtk.Window>?' unowned GLib.List<weak Gtk.Window> ws = this.application.get_windows ();

MainWindow.vala:439.26-439.27: error: The name ws' does not exist in the context ofMainWindow.window_delete_cb' debug("Windows: %u", ws.length ());

MainWindow.vala:451.32-451.33: error: The name ws' does not exist in the context ofMainWindow.window_delete_cb' foreach (Gtk.Window win in ws)

Errors during install on a new machine, fresh arch build. I tried to build it also again on my main machine and get the same errors. I did build and installed it without issue on this main machine in oct 2018.

TingPing commented on 2017-01-29 00:29

@Gendalf gettext is in base and thus assumed to be installed by all AUR packages.

Gendalf commented on 2017-01-28 14:19

Hello. Please add the gettext dependency. it's needed.

See here https://github.com/baedert/corebird (Dependencies area)

gettext >= 0.19.7

r3pek commented on 2017-01-13 16:58

@TingPing @forlorn
Reported and fixed in 30 minutes: https://github.com/baedert/corebird/issues/667

TingPing commented on 2017-01-13 16:55

@forlorn The bug tracker is here: https://github.com/baedert/corebird/issues

forlorn commented on 2017-01-13 16:11

In the .desktop file there is an error that stops showing the correct icon for corebird.

Icon[de]=Corebird
should be
Icon[de]=corebird

7etc commented on 2017-01-08 15:52

Sorry, was my fault. Today a bunch of apps don't work in my computer due harfbuzz update. Reinstall freetype2 solves the problem (and remove infinality-bundle libs as you're saying) Take a look at https://bbs.archlinux.org/viewtopic.php?id=221644

r3pek commented on 2017-01-08 15:30

Users having problems compiling corebird after the harfbuzz 1.4.1 update (like @7etc), please remove infinality-bundle libs from your system (I had them, but just figured out they were outdated). You can read everything in here: https://gist.github.com/cryzed/e002e7057435f02cc7894b9e748c5671

r3pek commented on 2017-01-08 00:43

@7etc can you post the compile log? it compiled fine here.

7etc commented on 2017-01-07 21:33

Unable to install corebird 1.4.1, because some issue with harfbuzz. Downgrade to 1.3.4.1 solves the problem. Hope that helps someone